Clochix le 27/10/2009 :

Concernant Weave, je crois qu'actuellement les efforts se portent sur l'intégration à Fennec, dont la sortie est essentielle pour Mozilla (il faut offrir un navigateur libre sur les mobiles). Et Weave constitue une des principales forces de Fennec, puisqu'il permet de synchroniser le navigateur mobile avec le navigateur de ton poste fixe, donc de disposer dans l'awesome bar sur le mobile de tes bookmarks, ton historique de navigation, etc.
Un autre intérêt de Weave est qu'il est extensible, c'est à dire qu'il est possible de définir d'autres formats de données à synchroniser. Tu peux donc l'utiliser pour synchroniser n'importe quel type de données entre tes navigateurs. Le navigateur devient de plus en plus le portefeuille où l'on stocke toutes ses données.

Enfin, pour répondre à ta question posée sous mon billet, je n'en sais pas plus que ce qui est indiqué dans le Wiki, et me suis également interrogé sur cette phrase.

Damien B le 27/10/2009 :

"il faut offrir un navigateur libre sur les mobiles"

Et WebKit c'est pour les chiens ? :-)

"Un autre intérêt de Weave est qu'il est extensible, c'est à dire qu'il est possible de définir d'autres formats de données à synchroniser."

Ca sent fort la réinvention de SyncML.

Maxime le 27/10/2009 :

Vive CouchDB !

Time to Relax.

Clochix le 28/10/2009 :

@Damien B : je connais très mal le marché du mobile. Cependant, il me semble que Webkit est un moteur, utilisé dans des navigateurs qui ne sont pas forcément libres. Je ne crois pas que le navigateur de l'iPhone soit libre, pas plus que Chromium soit largement répandu sur les téléphones Android.

Pour ce qui est de SynML, je m'aperçois effectivement que la question de sa convergence avec Weave n'a jamais été envisagée, sans doute parce qu'au départ les données à synchroniser n'étaient pas du même ordre. Je ne connais pas assez les deux projets pour dire qu'une convergence serait possible, mais c'est un sujet à creuser.

Damien B le 28/10/2009 :

@Clochix
Le browser web d'Android est basé sur WebKit (même si ça n'est pas Chromium), le prochain de Nokia est aussi basé sur WebKit, etc... après, les éléments manquants par rapport à WebKit pour en faire un vrai navigateur sont de l'ordre de l'intégration avec l'OS hôte. Et là, on retombe dans le vieux débat : intégration OS (comme il fut un temps avec Gecko avec Camino, Galeon, K-meleon, etc...) ou avoir une plateforme multi-OS (Qt, XUL, Carbon...) avec le problème de la diversité des architectures sous-jacentes bien plus diversifiée (et encore, c'était plus le bordel y'a 6 ou 7 ans). Après, d'autres proposent des navigateurs propriétaires, Opera, Netfront... Tout ça pour dire, l'idée de l'offre d'un navigateur pour les "mobiles" me laisse un peu froid.

Pour SyncML et Weave, pour moi c'est plus un problème de culture. Ca aime bien réinventer la roue du côté des développeurs de navigateurs.

extrakings le 31/01/2010 :

j ai vu il ya quelques jour des demos un peu plus importante de raindrop j'espere que cela va arriver vite

a mon avis google wave n'en est qu a ses debuts et peut que celui ci dans un avenir proche permettra de
-faire de la voip (google talk ,google voice)
-geolocaliser ses contacts (google latittude)
- d'utiliser l actuel google reader/actualité
-d'utiliser google document directement en ligne (feuille de calcul plus données ) et transmettre a un contact
-chat & synchroniser tout ses mails (deja possible dans g mail )
-integrer G translate dans weave
-agenda collaboratif/couplé peut etre avec google maps/street view

apres quand on sait tout les services utilisé par google > youtube/picasa /maps...
etc quand on sait que google document/reader/maps /street view ne sont pas libres et que peu de sites font la meme chose ...il ya bien open street map mais sans street view et il est mons precis ...

Je pense qu a un moment ou a un autre google aura un probleme puisque le html5 bien que performant est limité et ne remplace pas le code natif a moins que d ici la Naci soit la norme...mais comment l imposer pour tout le monde et surtout a micrsoft apple & co